=== debian/changelog ===
dpdk (18.11.10-1.lnd.6) unstable; urgency=medium

  * LoongArch & Mips: modify copyright notice

 -- Min Zhou <zhoumin@loongson.cn>  Fri, 20 May 2022 17:08:47 +0800

dpdk (18.11.10-1.lnd.5) unstable; urgency=medium

  * DRIVER:add gmac NIC support for loongson

 -- loongson <zhaojunchao@loongson-pc>  Thu, 26 Aug 2021 16:30:09 +0800

dpdk (18.11.10-1.lnd.4) unstable; urgency=medium

  * EAL:Fixing legacy issues for loongarch

 -- root <root@loongson-pc>  Fri, 20 Aug 2021 09:47:45 +0800

dpdk (18.11.10-1.lnd.3) unstable; urgency=medium

  * Adaptation of compiler parameter changes

 -- loongson <zhaojunchao@loongson-pc>  Wed, 18 Aug 2021 09:31:29 +0800

dpdk (18.11.10-1.lnd.2) unstable; urgency=medium

  * change compile option for test and crypto lib.
  * 

 -- loongson <lixing@loongson-pc>  Wed, 14 Jul 2021 07:40:09 +0800

dpdk (18.11.10-1.lnd.1) unstable; urgency=medium

  * Add loongarch support.
  * 

 -- loongson <lixing@loongson-pc>  Fri, 09 Jul 2021 10:45:09 +0800

dpdk (18.11.10-1~deb10u1) buster; urgency=medium

  * New upstream version 18.11.10
    - Remote Code Execution in vhost_crypto (VM Escape) (CVE-2020-14374)
    - Time-of-check time-of-use vulnerabilities throughout (CVE-2020-14375)
    - Buffer overflow copying iv_data from guest to host (CVE-2020-14376)
    - write_back_data buffer over read (CVE-2020-14377)
    - Partial Denial of Service due to Integer Underflow (CVE-2020-14378)
  * New upstream version 18.11.9; For a list of changes see
    http://doc.dpdk.org/guides-18.11/rel_notes/release_18_11.html
  * Refresh patch to remove fuzz from 18.11.10
  * Add rte_rawdev_dump to symbols file. It is not a new function, it was
    simply missing from the map file by mistake.

 -- Luca Boccassi <bluca@debian.org>  Mon, 28 Sep 2020 15:35:37 +0100
